package edu.unl.consystlab.sudokuSolver;

public class graphNode {
	private boolean isVariable;
	private boolean isValue;
	private String nodeValue;
	private problemVariable nodeVariable;
	private int adjacencyValue;
	
	public graphNode(String newValue, int newAdjacencyValue)
	{
		isVariable = false;
		isValue = true;
		nodeValue = newValue;
		adjacencyValue = newAdjacencyValue;
	}

	public graphNode(problemVariable newVariable, int newAdjacencyValue)
	{
		isVariable = true;
		isValue = false;
		nodeVariable = newVariable;
		adjacencyValue = newAdjacencyValue;
	}
	
	public boolean isVariable()
	{
		return(isVariable);
	}
	public boolean isValue()
	{
		return(isValue);
	}
	
	public problemVariable getVariable()
	{
		return(nodeVariable);
	}
	public String getValue()
	{
		return(nodeValue);
	}
	public int getAdjacencyValue()
	{
		return(adjacencyValue);
	}
}
